<?
$tabletitlecolor = '#dddddd';

function FormField($campo,$valor,$f) {
	//> Funo para escolha do tipo de campo para incluso no formulrio <
	switch ($f[2]) {
	case 'char':
		FormCampo($f[0], $campo, $f[3], $f[4], $valor, $f[6]);
		break;
	case 'int':
		FormCampo($f[0], $campo, $f[3], $f[4], $valor, $f[6]);
		break;
	case 'password':
		FormPassword($f[0], $campo, $f[3], $f[4], $valor, $f[6]);
		break;
	case 'text':
		FormText($f[0], $campo, $f[3], $f[4], $valor, $f[6]);
		break;
	case 'textnowrap':
		FormTextNoWrap($f[0], $campo, $f[3], $f[4], $valor, $f[6]);
		break;
	case 'picklist':
		FormCampo($f[0], $campo, $f[3], $f[4], $valor, $f[6]);
		break;
	case 'picklistDB':
		$par = split('[:,;]',$f[5]);
		FormLookup($f[0], $campo, $par[0], $par[1], $par[2], $valor, $f[6]);
		break;
	case 'radiolist':
		FormRadio($f[0], $campo, $valor, $f[1], (' '.$f[3]));   //titulo do formulario, nome do campo, valor do campo,
		break;                                                  //valor para visualizacao na pagina, marca como  checado (CHECKED)
	case 'checkbox':
		FormCampo($f[0], $campo, $f[3], $f[4], $valor, $f[6]);
		break;
	case 'date':
		FormCampo($f[0], $campo, $f[3], $f[4], $valor, $f[6]);
		break;
	default:
		FormCampo($f[0], $campo, $f[3], $f[4], $valor, $f[6]);
	}
}

function ahref($url,$title) {
	//> Funo para criao de links <
	return '<A HREF="'.$url.'">'.$title.'</A>';
}

function Title($titulo) {
	//> Funo para criar ttulo <
	return '<strong>'.$titulo.'</strong>';
}

function TableIni($bgcolor='#dddddd') {
	//> Funo para criao do incio da tabela <
	return '<TABLE WIDTH="100%" CELLPADDING=0 CELLSPACING=0 BORDER=0 BGCOLOR="'.$bgcolor.'">'."\n";
}

function TableFim() {
	//> Funo para criao do fim da tabela <
	return "</TABLE>\n";
}

function FormIni($titulo, $action, $method, $description='') {
	//> Funo para iniciar um formulrio <
	global $tabletitlecolor,$tablecolor;
	echo "<FORM ACTION=\"$action\" METHOD=\"$method\">\n";
	echo TableIni();
	echo '<TR><TD COLSPAN=3 BGCOLOR="'.$tabletitlecolor.'">';
	echo "<B>$titulo</B></TD></TR>\n";
	if(isset($description)&&$description<>'') {
		echo "<TR><TD COLSPAN=\"3\" BGCOLOR=\"$tablecolor\">$description</TD></TR>\n";
	}
}

function FormFim() {
	//> Funo para fechar um formulrio <
	echo TableFim();
	echo "</FORM>\n\n";
}

function FormFieldTemplate($titulo, $comm, $campo) {
	//> Funo para inserir o template em um campo <
	global $tablecolor, $tablecolor1,$tablecolor2,$count;
	echo "<TR BGCOLOR=\"".$tablecolor."\"><TD ALIGN=\"RIGHT\" VALIGN=\"CENTER\" NOWRAP>";
	echo "<B>&nbsp;$titulo</B></TD><TD VALIGN=\"CENTER\">";
	echo $campo;
	echo "</TD><TD>";
	if ($comm) {
		echo "$comm";
	} else {
		echo "&nbsp;";
	}
	echo "</TD></TR>\n";
}

function ShowCampo($titulo,$valor) {
	//> Funo para mostrar um campo <
	FormFieldTemplate($titulo,'',$valor);
}

function FormErro($msgerro) {
	//> Funo para criar um formulrio c/ mensagens especficas de erros <
	FormIni("Erro","","");
	FormFieldTemplate("", $msgerro, "");
	FormFim();
}

function FormBtn($botoes) {
	//> Funo para gerar botes no formulrio <
	$btns = "";
	while ($el = each($botoes)) {
		$btn = explode("|",$el[1]);
		if ($btn[0]=="RESET") {
			$btns .= "<INPUT TYPE=reset VALUE=\"".$btn[1]."\">&nbsp;";
		} else {
			$btns .= "<INPUT TYPE=submit NAME=\"".$btn[0]."\" ".
			"VALUE=\"".$btn[1]."\">&nbsp;";
		}
	}
	FormFieldTemplate("","", $btns);
}

function FormCampo($titulo, $name, $size, $maxl, $value, $comm) {
	//> Funo para gerar um campo no formulrio <
	FormFieldTemplate($titulo, $comm,"<INPUT NAME=\"$name\" SIZE=$size MAXLENGTH=$maxl VALUE=\"$value\">");
}

function FormRadio($titulo, $name, $value, $valor_visual, $radio_checked='', $comm='') {
	//> Funo para gerar um campo do tipo radio no formulrio <
	FormFieldTemplate($titulo, $comm,"<INPUT TYPE=\"RADIO\" NAME=\"$name\" VALUE=\"$value\"$radio_checked>$valor_visual");
}

function FormPassword($titulo, $name, $size, $maxl, $value, $comm) {
	//> Funo para gerar um campo do tipo password no formulrio <
	FormFieldTemplate($titulo, $comm,"<INPUT NAME=\"$name\" TYPE=\"password\" SIZE=$size MAXLENGTH=$maxl VALUE=\"$value\">");
}

function FormText($titulo, $name, $cols, $rows, $value, $comm) {
	//> Funo para gerar uma rea de texto no formulrio <
	FormFieldTemplate($titulo, $comm, 
	"<TEXTAREA NAME=\"$name\" COLS=$cols ROWS=$rows WRAP=\"virtual\">".
	"$value".
	"</TEXTAREA>");
}

function FormTextNoWrap($titulo, $name, $cols, $rows, $value, $comm) {
	//> Funo para gerar uma rea de texto sem quebra de linha no formulrio <
	FormFieldTemplate($titulo, $comm, 
	"<TEXTAREA NAME=\"$name\" COLS=$cols ROWS=$rows>".
	"$value".
	"</TEXTAREA>");
}

function FormHidden($name, $value) {
	//> Funo para gerar um campo hidden no formulrio <
	echo "<INPUT TYPE=hidden NAME=\"$name\" VALUE=\"$value\">\n";
}

function FormLookup($titulo, $name, $lktable, $lkid, $lkfield, $value, $comm) {
	//> Funo para gerar um campo select "simples" <
	//nao esquecer de passar o objeto conexao p/ parmetro
	global $conn,$tmtable;
	$count = db_query($conn[$tmtable[2]],"SELECT COUNT(*) as contagem FROM $lktable","contagem");
	if ($count>0) {
		$field = "<SELECT NAME=\"$name\" SINGLE>\n";
		$qry = db_query($conn[$tmtable[2]],"SELECT $lkid, $lkfield FROM $lktable GROUP BY $lkfield");
		while ($lk = fetch_array($qry)) {
			$field .= "<OPTION VALUE=" . $lk[$lkid];
			if ($lk[$lkid] == $value) $field .= "SELECTED";
			$field .= ">".$lk[$lkfield]."</OPTION>\n";
		}
		$field .= "</SELECT>\n";
		FormFieldTemplate($titulo, $comm, $field);
	}
}

function FormMultLookup($titulo, $name, $size, $lktable, $lkid, $lkfield, $value, $comm, $conexao) {
	//> Funo para gerar um campo select "simples" <
	$field = "<SELECT NAME=\"$name"."[]"."\" MULTIPLE SIZE=\"$size\">\n";
	$qry = db_query($conexao,"SELECT $lkid, $lkfield FROM $lktable GROUP BY $lkfield");
	while ($lk = fetch_array($qry)) {
		$field .= "<OPTION VALUE=" . $lk[$lkid];
		if ($lk[$lkid] == $value) $field .= "SELECTED";
		$field .= ">".$lk[$lkfield]."</OPTION>\n";
	}
	$field .= "</SELECT>\n";
	FormFieldTemplate($titulo, $comm, $field);
}

function FormSimNao($titulo, $variavel, $valor, $comm) {
	//> Funo para gerar um campo select tipo sim/nao no formulrio <
	$field =  "<SELECT NAME=\"$variavel\" SINGLE>\n"."<option value=\"1\"";
	if ($valor=="1") $field .= "SELECTED";  $field .= ">Sim</option>\n";
	$field .= "<option value=\"0\"";
	if ($valor=="0") $field .= "SELECTED";  $field .= ">No</option>\n";
	$field .= "</SELECT>\n";
	FormFieldTemplate($titulo, $comm, $field);
}
?>
