<?
if(!isset($WILDWEBINSTALLDIR)) {
	$WILDWEBINSTALLDIR='/home/httpd/wildweb/';
}

include_once($WILDWEBINSTALLDIR.'db.php');

function sty_fastload($template) {
	// L o template $template pr-compilado
	global $sql,$sty_template, $sty_id;
	$set = db_query($sql,"select template_id, compiled from sty_template ".
	                       "where name = '".$template."'");
	$sty_template = $set->fields['compiled'];
	$sty_id       = $set->fields['template_id'];
	return $sty_template;
}

function sty_load($template) {
	// L o template $template, compilando caso necessrio
	global $sql,$sty_template, $sty_id;
	$set = &db_query($sql,'select template_id,uptodate,compiled from sty_template '.
	                       "where name = '".$template."'");
	$elem_set = &db_query($sql,'select max(uptodate) as ultdt from sty_element '.
	                       'where template_id = '.($set->fields['template_id']).' '.
	                       'group by template_id');
	$uptodate = $elem_set->fields['ultdt'];
	if ($uptodate > $set->fields['uptodate']) {
		$sty_template = sty_compile($set->fields['template_id']);
	} else {
		$sty_template = $set->fields['compiled'];
	}
	$sty_id = $set->fields['template_id'];
	return $sty_template;
}

function sty_slowload($template) {
	// L o template $template sempre compilando-o a partir dos elementos;
	global $sql,$sty_template;
	$set = db_query($sql,'select template_id from sty_template '.
	                       "where name = '".$template."'");
	$sty_template = sty_compile($set->fields['template_id']);
	$sty_id       = $set->fields['template_id'];
	return $sty_template;
}

function sty_exec() {
	// Executa o template pr-lido pelos sty_*load();
	global $sql,$sty_template;
	if (isset($sty_template)) {
		eval($sty_template);
//		if ($sql->debug) {
//			echo "\n<PRE>\n";
//			$tpl = explode("\n",htmlentities($sty_template));
//			$l=0;
//			while (list($lixo,$linha)=each($tpl)) {
//				echo ++$l.' ';
//				echo $linha."\n";
//			}
//			echo "</PRE>\n";
//		}
	} else {
		echo 'Template ainda no lido';
	}
}

function ElemCount($template) {
	// Conta o nmero de elementos referenciados no trecho $template;
	global $sql,$sty_template;
	$template = ereg_replace(':',' ', $template);
	$template = ereg_replace('<\[', ':', $template);
	$template = ereg_replace('[^:]', '', $template);
	return strlen($template);
}

function ElemSeparate($template) {
	// Separa parte inicial ($pre), o nome e o resto do 1o. elem. encontrado;
	global $sql,$sty_template;
	list($pre,$template) = explode('<[',$template,2);
	list($name,$pos) = explode(']>',$template,2);
	return array($pre,strtolower($name),$pos);
}

function sty_compile($template_id) {
	// 'compila' o template a partir dos elementos armazenados em sty_element
	global $sql,$sty_template;
	$set = &db_query($sql, 'select element_id,content from sty_element '.
	                       'where template_id = '.$template_id);
	$elementos='';
	while (!$set->EOF) {
		$elementos[strtolower($set->fields['element_id'])]=$set->fields['content'];
		$set->movenext();
	}
	$set->close();
	$compiled=$elementos['root'];
	while (ereg('<\[[a-z]*\]>',$compiled)) {
		$e = ElemCount($compiled);
		$result = '';
		for($i=0; $i<$e; $i++) {
			list($pre,$elemname,$compiled) = ElemSeparate($compiled);
			$funcname = 'ww_'.str_replace('-','_',$elemname);
			if (isset($elementos[$elemname])) {
				$result .= $pre. 
				"<? if (function_exists('".$funcname."')) {".
				$funcname."();".
				"} else {?>". $elementos[$elemname]. "<?}\n?>";
			} else {
				$result .= $pre . 
				"<?if (function_exists('".$funcname."')) { ".
				$funcname."(); }\n?>";
			}
		}
		$compiled = $result.$compiled;
		$result = '';
	}
	$compiled = '?>'.$compiled.'<?';
	$compiled = str_replace("?>\n",'?>',$compiled);
	$compiled = str_replace('<??>','',$compiled);
	$compiled = str_replace('?><?','',$compiled);
	$update = "update sty_template set ".
	       "uptodate = ".$sql->dbtimestamp(time()).", ".
	       "compiled = ".$sql->qstr($compiled)." ".
	       "where template_id = ".$template_id;
	db_query($sql,$update);
	return $compiled;
}

function sty_execute($template,$method='normal') {
	// funo  ser chamada pelas pginas que usaro o template system
	global $sql,$sty_template;
	switch ($method) {
	case 'normal': sty_load($template);     break;
	case 'fast':   sty_fastload($template); break;
	default:       sty_slowload($template); 
	} 
	sty_exec();
}


function sty_element($element) {
	// retorna o elemento $ELEMENT do estilo em execuo (GLOBAL $sty_id);
	global $sql,$sty_id;
	$set = &db_query($sql, 
		'select content from sty_element '.
		'where template_id='.$sty_id.' and element_id=\''.$element.'\'');
	return $set->fields['content'];
	$set->close();
}

function sty_exec_element($element,$override=true) {
	// Executa o elemento $ELEMENT, usando sty_element();
	global $sql,$sty_id;
	$content = sty_element($element);
	$funcname = 'ww_'.str_replace('-','_',$element);
	if ($override) {
		$phpelem = "if (function_exists('".$funcname."')) {".
			   $funcname."();".
			   "} else {?>".$content."<?}";
	} else {
		$phpelem = "?>".$content."<?";
	}
	eval($phpelem);
}

?>
